### Method

# Gtk.TreeModel.get_iter_first

#### Declaration [src]

    gboolean
    gtk_tree_model_get_iter_first (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Initializes `iter` with the first iterator in the tree (the one at the path “0”) and returns `TRUE`. Returns `FALSE` if the tree is empty.

#### Parameters

`iter` | `GtkTreeIter`
| the uninitialized `GtkTreeIter`-struct
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE`, if `iter` was set